# id

### Definition

```javascript
function id(child: HTMLElement, id: String = "") {
    return HTMLElement
}
```

### Input

* `child` : the reference to a valid bolt app, a bolt functional component or a valid bold variable component
* `id` : takes a string to assign an ID to the element

### Returns HTMLElement

The child element will be returned after assigning a valid id


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://creatorlabs.gitbook.io/boltui-docs-preview/api-reference/index/id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
